#include "beatsetimpl.h"

#include <nlohmann/json.hpp>

namespace Beatsaber {

BeatSetImpl::BeatSetImpl(std::weak_ptr<BeatMap> p, const json& j) : parent(p), characteristic(BeatmapCharacteristic::getByString(j["_beatmapCharacteristicName"])) {
}

BeatSetImpl::~BeatSetImpl() {}

BeatmapCharacteristic::BeatmapCharacteristic BeatSetImpl::getCharacteristic() const {
	return characteristic;
}

std::shared_ptr<BeatMap> BeatSetImpl::getBeatMap() const {
	return parent.lock();
}

}